Package org.eclipse.cdt.core.model

# Interface ISourceRange

public interface ISourceRange
A source range defines an element's source coordinates

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`int`
`getEndLine()`
Returns the 1-based ending line of this element.
`int`
`getIdLength()`
Returns the number of characters of the Id for this element.
`int`
`getIdStartPos()`
Returns the Id starting position of this element.
`int`
`getLength()`
Returns the number of characters of the source code for this element.
`int`
`getStartLine()`
Returns the 1-based starting line of this element.
`int`
`getStartPos()`
Returns the zero-based starting position of this element.

## Method Details

### getStartPos

int getStartPos()
Returns the zero-based starting position of this element.

### getLength

int getLength()
Returns the number of characters of the source code for this element.

### getIdStartPos

int getIdStartPos()
Returns the Id starting position of this element.

### getIdLength

int getIdLength()
Returns the number of characters of the Id for this element.

### getStartLine

int getStartLine()
Returns the 1-based starting line of this element.

### getEndLine

int getEndLine()
Returns the 1-based ending line of this element.